<?php

Yii::import('application.models._base.BasePost');

class Post extends BasePost
{
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function relations() {
		return array(

		  'has_many_tags' => array(self::MANY_MANY, 'Tag', '{{post_tag}}(id_post,id_tag)'),
		  'has_many_comments' => array(self::HAS_MANY, 'Comment', 'post_id'),
		  'belongs_to_blogger' => array(self::BELONGS_TO, 'Blogger', 'author_id')

		);
	}

}
