<?php

/**
 * @class DeleteController
 * Controls the browsing of the records
 */

class DeleteController extends BaseController
{
	
	public function actionIndex($modelClass)
	{
		$ids = @$_POST[@$_POST['selected_ids']];

		if (is_array($ids) && $modelClass) {
			
			$model = $modelClass::model();
			$columns = $model->tableSchema->columns;

			foreach($ids as $id) {

			  $id = XcruderActiveRecord::getPkFromCheckbox($id, $columns);

			  //Yii::log('$id::'.@print_r($id, true));
			  //Yii::getLogger()->flush(true);

			  $rec = $model->findByPk($id);
			  //$rec->deleteRelated();
			  if (@rec)
				$rec->delete();
			}
		}

		if (Yii::app()->request->isAjaxRequest)
			Yii::app()->end();
	}


/**
 * Deletes the related records physically
 * 
 */
	public function actionRelated($modelRelationName=null, $modelRelationClass=null, $relatedModelClass=null)
	{
		$ids = @$_POST[@$_POST['selected_ids']];
		
		//$relatedModel = $relatedModelClass::model();
		//$relatedModel = XcruderActiveRecord::model($relatedModelClass);

		if ($modelRelationName && is_array($ids) && count($ids)>0) {
				
			if ($modelRelationClass == CActiveRecord::MANY_MANY) {
				
				$model = XcruderActiveRecord::getModelFromRequestPk();

				$relateds = $model->$modelRelationName;
				$newIds = array();
				foreach($relateds as $related) {
					$pk = $related->getPrimaryKey();
					if (!in_array($pk, $ids))
						$newIds[] = $pk;
				}

				$model->$modelRelationName = $newIds;
				//if ($model->save());
				$model->updateRelated($modelRelationName);

			}
			else
			foreach($ids as $id)
				XcruderActiveRecord::xpFindByPk($id, $relatedModelClass, false)->delete();
				//$relatedModel->deleteByPk($id);
		}

		if (Yii::app()->request->isAjaxRequest)
			Yii::app()->end();
	}

}
